package com.ryuuji.visual.rZone;

import logica.reportes.Reporte;
import logica.reportes.ReporteAsistenciaBajo;

import javax.swing.*;
import java.io.File;

public class ReporteBajaAsistenciaFrame extends JFrame {
    private JPanel mainPanel;
    private JSpinner spinner1;
    private JButton generarButton;

    /**
     * Inicia la ventana y asigna sus valores basicos
     */
    public ReporteBajaAsistenciaFrame() {
        setTitle("Generar Reporte Profesor");
        setContentPane(mainPanel);
        setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
        setResizable(false);
        init();
        pack();
        setLocationRelativeTo(null);
        setVisible(true);
    }

    /**
     * le da limites al spinner y llama a setListeners
     */
    private void init(){
        spinner1.setModel(new SpinnerNumberModel(0,0,100,1));
        setListener();
    }

    /**
     * le da un listener al boton generar el cual genera el reporte directamente
     */
    private void setListener(){
        generarButton.addActionListener(a->{
            int porcentaje = (Integer) spinner1.getValue();
            ReporteAsistenciaBajo rab = new ReporteAsistenciaBajo(porcentaje);
            rab.generar(new File("files/xslt"),true,true,true,true,true);
                JOptionPane.showMessageDialog(this,"El reporte a sido generado");
        });
    }
}
